algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Coalgebra.Incidence

Synopsis

- data Interval' a = Interval' a a
- zeta' :: Unital r => Interval' a -> r
- moebius' :: (Ring r, LocallyFiniteOrder a) => Interval' a -> r

# Documentation

data Interval' a Source

the dual incidence algebra basis

Constructors

Interval' a a |

Instances

Typeable1 Interval' |
(Eq a, Commutative r, Monoidal r, Semiring r) => Coalgebra r (Interval' a) |
(Eq a, Bounded a, Commutative r, Monoidal r, Semiring r) => CounitalCoalgebra r (Interval' a) |
Eq a => Eq (Interval' a) |
Data a => Data (Interval' a) |
Ord a => Ord (Interval' a) |
Read a => Read (Interval' a) |
Show a => Show (Interval' a) |

zeta' :: Unital r => Interval' a -> rSource

moebius' :: (Ring r, LocallyFiniteOrder a) => Interval' a -> rSource